summaryrefslogtreecommitdiffstats
path: root/system/postgis
diff options
context:
space:
mode:
author Peter Sarkoci2010-05-13 00:41:26 +0200
committer Robby Workman2010-05-13 00:41:26 +0200
commit04c319e55c325208611d6be82b88f5c57c68a5e2 (patch)
tree6fb3f024d2217c2387570e85b6afc49d022a47e4 /system/postgis
parent07d0fb52720afaf343b9e0824527e3d970af13e3 (diff)
downloadslackbuilds-04c319e55c325208611d6be82b88f5c57c68a5e2.tar.gz
system/postgis: Updated for version 1.4.0
Diffstat (limited to 'system/postgis')
-rw-r--r--system/postgis/README11
-rw-r--r--system/postgis/postgis.SlackBuild98
-rw-r--r--system/postgis/postgis.info16
-rw-r--r--system/postgis/slack-desc9
4 files changed, 80 insertions, 54 deletions
diff --git a/system/postgis/README b/system/postgis/README
index 6cc5c4097e..175b53819a 100644
--- a/system/postgis/README
+++ b/system/postgis/README
@@ -1,6 +1,7 @@
-PostGIS adds support for geographic objects to the PostgreSQL object-relational
-database. In effect, PostGIS "spatially enables" the PostgreSQL server,
-allowing it to be used as a backend spatial database for geographic information
-systems (GIS), much like ESRI's SDE or Oracle's Spatial extension.
+PostGIS adds support for geographic objects to the PostgreSQL
+object-relational database. In effect, PostGIS "spatially
+enables" the PostgreSQL server, allowing it to be used as a
+backend spatial database for geographic information systems
+(GIS), much like ESRI's SDE or Oracle's Spatial extension.
-This requires postgresql.
+PostGIS requires PostgreSQL, proj and geos.
diff --git a/system/postgis/postgis.SlackBuild b/system/postgis/postgis.SlackBuild
index b5879474c8..3fcea3522e 100644
--- a/system/postgis/postgis.SlackBuild
+++ b/system/postgis/postgis.SlackBuild
@@ -1,76 +1,100 @@
#!/bin/sh
-# Slackware build script for postgis
-# Written by Seth House <seth@eseth.com>
+# Slackware build script for PostGIS
+
+# Copyright 2009 Peter Sarkoci <sarkoci@math.sk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=postgis
-VERSION=1.3.5
+VERSION=${VERSION:-1.4.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-DOCS="COPYING CREDITS ChangeLog NEWS README.postgis TODO"
-
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
-fi
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
- -o -perm 400 \) -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux \
- || exit 1
+ --build=$ARCH \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --datarootdir=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l); do \
- ln -s $(readlink $i).gz $i.gz; \
- rm $i; \
- done
-)
+mkdir -p $PKG/usr/man/man1
+cp -a doc/man/* $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/*.1
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a \
+ COPYING CREDITS ChangeLog NEWS README.postgis TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/html/{images,postgis.html,style.css} \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/postgis/postgis.info b/system/postgis/postgis.info
index f6e39fa3cd..c33032295a 100644
--- a/system/postgis/postgis.info
+++ b/system/postgis/postgis.info
@@ -1,8 +1,10 @@
PRGNAM="postgis"
-VERSION="1.3.5"
-HOMEPAGE="http://postgis.refractions.net/"
-DOWNLOAD="http://postgis.refractions.net/download/postgis-1.3.5.tar.gz"
-MD5SUM="a36a68d169122ebfd07874af72a8c39b"
-MAINTAINER="Seth House"
-EMAIL="seth@eseth.com"
-APPROVED="rworkman,michiel"
+VERSION="1.4.0"
+HOMEPAGE="http://postgis.refractions.net"
+DOWNLOAD="http://postgis.refractions.net/download/postgis-1.4.0.tar.gz"
+MD5SUM="bc5b97d5399bd20ca90bfdf784ab6c33"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Peter Sarkoci"
+EMAIL="sarkoci@math.sk"
+APPROVED="rworkman"
diff --git a/system/postgis/slack-desc b/system/postgis/slack-desc
index 6ab66cf4e3..4ccf72271f 100644
--- a/system/postgis/slack-desc
+++ b/system/postgis/slack-desc
@@ -9,11 +9,10 @@
postgis: PostGIS adds support for geographic objects to PostgreSQL.
postgis:
postgis: PostGIS adds support for geographic objects to the PostgreSQL
-postgis: object-relational database. In effect, PostGIS "spatially enables" the
-postgis: PostgreSQL server, allowing it to be used as a backend spatial
-postgis: database for geographic information systems (GIS), much like ESRI's
-postgis: SDE or Oracle's Spatial extension.
+postgis: database. In effect, PostGIS "spatially enables" the PostgreSQL
+postgis: server, allowing it to be used as a backend spatial database for
+postgis: geographic information systems (GIS), much like ESRI's SDE or
+postgis: Oracle's Spatial extension.
postgis:
postgis: http://postgis.refractions.net/
postgis:
-postgis: